
      <mat-card>
        <mat-card-title>Login</mat-card-title>
  <mat-card-content>
    <form [formGroup]="form" (ngSubmit)="logIn()">
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="Username" required formControlName="username">
        </mat-form-field>
      </p>

      <p>
        <mat-form-field>
          <input type="password" matInput placeholder="Password" required formControlName="password">
        </mat-form-field>
      </p>

      <!-- <p *ngIf="error" class="error">
        {{ error }}
      </p> -->

      <div class="button">
        <button type="submit" mat-raised-button color="primary" > Login </button>
      </div>
     

    </form>
  </mat-card-content>
</mat-card>
